# Class OffsetTimeParameter

java.lang.Object
org.mariadb.jdbc.internal.com.send.parameters.OffsetTimeParameter

All Implemented Interfaces:
  `Cloneable, ParameterHolder`

public class OffsetTimeParameter extends Object implements Cloneable, ParameterHolder

## Field Summary

### Fields inherited from interface ParameterHolder

`BINARY_INTRODUCER, QUOTE`

## Constructor Summary

Constructors
Constructor
Description
`OffsetTimeParameter(OffsetTime offsetTime, TimeZone timezone, boolean fractionalSeconds, Options options)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canBeLongData()`
`int`
`getApproximateTextProtocolLength()`
`ColumnType`
`getColumnType()`
`boolean`
`isNullData()`
`String`
`toString()`
`void`
`writeBinary(PacketOutputStream pos)`
Write data to socket in binary format.
`void`
`writeTo(PacketOutputStream pos)`
Write timestamps to outputStream.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ParameterHolder

`writeLongData`

## Constructor Details

### OffsetTimeParameter

public OffsetTimeParameter(OffsetTime offsetTime, TimeZone timezone, boolean fractionalSeconds, Options options) throws SQLException
Constructor.

Parameters:
  `offsetTime` - time with offset
  `timezone` - server session zoneId
  `fractionalSeconds` - must fractional Seconds be send to database.
  `options` - session options
Throws:
  `SQLException` - if offset cannot be converted to server offset

## Method Details

### writeTo

public void writeTo(PacketOutputStream pos) throws IOException
Write timestamps to outputStream.

Specified by:
  `writeTo` in interface `ParameterHolder`
Parameters:
  `pos` - the stream to write to
Throws:
  `IOException` - when something goes wrong

### getApproximateTextProtocolLength

public int getApproximateTextProtocolLength()

Specified by:
  `getApproximateTextProtocolLength` in interface `ParameterHolder`

### writeBinary

public void writeBinary(PacketOutputStream pos) throws IOException
Write data to socket in binary format.

Specified by:
  `writeBinary` in interface `ParameterHolder`
Parameters:
  `pos` - socket output stream
Throws:
  `IOException` - if socket error occur

### getColumnType

public ColumnType getColumnType()

Specified by:
  `getColumnType` in interface `ParameterHolder`

### toString

public String toString()

Specified by:
  `toString` in interface `ParameterHolder`
Overrides:
  `toString` in class `Object`

### isNullData

public boolean isNullData()

Specified by:
  `isNullData` in interface `ParameterHolder`

### canBeLongData

public boolean canBeLongData()

Specified by:
  `canBeLongData` in interface `ParameterHolder`